default:
	@echo "No Default make command configured"
	@echo "Please use either"
	@echo "   - make curseforge"
	@echo "   - make multimc"
	@echo "   - make technic"
	@echo "   - make all"
	@echo ""
	@echo "Curseforge will make a curseforge compatible zip"
	@echo "Multimc will make a multimc zip file which contains"
	@echo "   the packwiz updater"
	@echo ""
	@echo "Technic will make a technic pack zip"
	@echo ""
	@echo "All will make all packs it can"
	@echo ""
	
curseforge:
	@echo "Making Curseforge pack"
	packwiz curseforge export --pack-file .minecraft/pack.toml -o ../ultron-curseforge.zip
	7z d ../ultron-curseforge.zip overrides/packwiz-installer-bootstrap.jar overrides/pack.toml  overrides/index.toml	

modrinth:
	@echo "Making Modrinth pack"
	packwiz modrinth export --pack-file .minecraft/pack.toml -o ../ultron-modrinth.zip
	7z d ../ultron-modrinth.zip overrides/packwiz-installer-bootstrap.jar overrides/pack.toml  overrides/index.toml	

multimc:
	@echo "Making MultiMC pack"
	cp .minecraft/kubejs/config/packicon.png ./packicon.png
	7z d ../ultron-mc.zip ./* -r
	7z d ../ultron-mc.zip ./.minecraft -r
	7z a ../ultron-mc.zip ./* -r
	7z a ../ultron-mc.zip ./.minecraft -r
	7z d ../ultron-mc.zip ./.minecraft/mods ./.minecraft/pack.toml ./.minecraft/index.toml -r
	rm ./packicon.png

technic:
	@echo "Making Technic pack"
	-rm -rf .technic
	-cp -r .minecraft .technic
	mv .technic/modpack.icon.png .technic/icon.png
	cd .technic && java -jar packwiz-installer-bootstrap.jar https://git.merith.xyz/modpacks/ultron/raw/branch/main/.minecraft/pack.toml && cd ..
	-rm -rf .technic/packwiz*
	7z d ../ultron-technic.zip ./* -r
	7z a ../ultron-technic.zip ./.technic/* -r

clean:
	-rm -rf .technic
	-git gc --aggressive --prune

all: curseforge modrinth multimc technic clean

update-packwiz:
	go install github.com/packwiz/packwiz@latest
	clear
	@echo "Packwiz has been Updated"